Subject: Re: [PATCH 13/20] alpha/PCI: Clean up __pci_mmap_fits()

From: Krzysztof Wilczyński <[email-masked]>
Date: Fri, 10 Apr 2026 20:55:41 +0900

Hello,

> > > This looks like entirely separate two changes to me which just happen 
> > > within the same context.
> > 
> > True.  I could split this into two separate patches.  However, the early
> > return is so trivial, that I decided to keep it here, in lieu of that the
> > linked patch did, too.
> > 
> > Thoughts?
> 
> It's not just adding the early return that would go to the first patch but 
> you also need to rearrange the len for that. Effectively, the change is 
> split in half, each becoming cleaner and more focused (both diff and the 
> changelog text).
> 
> As is I'm left on the borderline, while I can see it's "correct" after 
> splitting those changes inside my head, I also know it could have been 
> done better. I'd easily given rev-by for both if they'd have been done 
> individually, saved the time writing these emails about it, and 
> effectively "forgotten" the patches (including upcoming versions of the 
> series).

A simple "yes, please split" would suffice. :)  For future reference.

Thank you!

	Krzysztof